/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class HdetalleFacturaPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "factura_serie")
    private String facturaSerie;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "detalle_factura_oferta")
    private String detalleFacturaOferta;

    public HdetalleFacturaPK() {
    }

    public HdetalleFacturaPK(String facturaSerie, String facturaCodigo, String productoCodigo, String detalleFacturaOferta) {
        this.facturaSerie = facturaSerie;
        this.facturaCodigo = facturaCodigo;
        this.productoCodigo = productoCodigo;
        this.detalleFacturaOferta = detalleFacturaOferta;
    }

    public String getFacturaSerie() {
        return facturaSerie;
    }

    public void setFacturaSerie(String facturaSerie) {
        this.facturaSerie = facturaSerie;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getDetalleFacturaOferta() {
        return detalleFacturaOferta;
    }

    public void setDetalleFacturaOferta(String detalleFacturaOferta) {
        this.detalleFacturaOferta = detalleFacturaOferta;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (facturaSerie != null ? facturaSerie.hashCode() : 0);
        hash += (facturaCodigo != null ? facturaCodigo.hashCode() : 0);
        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
        hash += (detalleFacturaOferta != null ? detalleFacturaOferta.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof HdetalleFacturaPK)) {
            return false;
        }
        HdetalleFacturaPK other = (HdetalleFacturaPK) object;
        if ((this.facturaSerie == null && other.facturaSerie != null) || (this.facturaSerie != null && !this.facturaSerie.equals(other.facturaSerie))) {
            return false;
        }
        if ((this.facturaCodigo == null && other.facturaCodigo != null) || (this.facturaCodigo != null && !this.facturaCodigo.equals(other.facturaCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        if ((this.detalleFacturaOferta == null && other.detalleFacturaOferta != null) || (this.detalleFacturaOferta != null && !this.detalleFacturaOferta.equals(other.detalleFacturaOferta))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.HdetalleFacturaPK[ facturaSerie=" + facturaSerie + ", facturaCodigo=" + facturaCodigo + ", productoCodigo=" + productoCodigo + ", detalleFacturaOferta=" + detalleFacturaOferta + " ]";
    }

}
